<template name="regionDisplay">
  <div class="page-component">
    <div class="details-header region-details-header">
      <h3>{{this.region.name}}</h3>
    </div>

    <div class="details-body region-details-body">
      <div class="details-content">
        <div class="row">
          <div class="{{#if region.loc}}col-md-7{{else}}col{{/if}}">
            {{#if this.region.tz}}
              <p>
                <span class="region-property-title">
                  {{i18n 'regionDetails.timezone' 'Timezone:'}}
                </span>
                {{this.region.tz}}
              </p>
            {{/if}}
            {{#if this.region.description}}
              <div>
                <div class="region-property-title">
                  {{i18n 'tenant.details.regions.description'}}:
                </div>
                <div class="text-break">
                  {{this.region.description}}
                </div>
              </div>
            {{/if}}
          </div>
          {{#if this.region.loc}}
            <div class="col-md-5">
              <div class="details-map">
                {{> map markers=instance.markers maxZoom=16}}
                <div class="coordinates">
                  {{i18n 'regionDetails.coordinates' 'Coordinates:'}}
                  {{locationFormat this.region.loc}}
                </div>
              </div>
            </div>
          {{/if}}
        </div>
      </div>
    </div>
    {{#if mayEdit}}
      <div class="actions">
        {{> buttonEdit event="js-region-edit"}}
        {{#unless (state 'verifyDelete')}}
          {{> buttonDelete event="js-region-delete"}}
        {{/unless}}
      </div>
      {{#if (state 'verifyDelete')}}
        {{> deleteConfirmDialog deleteConfirmDialogAttr}}
      {{/if}}
    {{/if}}
  </div>
</template>
